Sponsor:

Server and Web Integrator
Link:
Kloxo-MR logo
6.5.0 or 7.0.0
Click for "How to install"
Donation/Sponsorship:
Kloxo-MR is open-source.
Donate and or Sponsorship always welcome.
Click to:
Click Here
Please login or register. 2024-06-18, 20:06:47

Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - baijianpeng

Pages: [1] 2
1
OK, thank you.

2
Since I can not successfully install KloxoMR on my server, could you please provide the download link of language files on Github?

Thank you.

3
Thank you for your help. But, after so many failures, I was tired and turned to VestaCP, which can be installed on my server.

4
Thank you for your help. But, after so many failures, I was tired and turned to VestaCP, which can be installed on my server.

5
+1 for postfix

It seems that postfix is very fast. Work with Dovecot very fine.

I suggest Kloxo-MR use postfix+dovecot as the "post office" and use RoundCube as the webmail.

Thank you.

6
Kloxo-MR Development / Re: Support for PHP7 and CentOS 7
« on: 2015-12-22, 03:01:28 »
+1 for PHP 7

I think the best solution is to offer "multiple php versions" in Kloxo-MR, then users can choose which php version his website will use.

It seems that current Kloxo-MR does NOT have a PHP Switcher ?

Hope you add this feature.

Thanks.

7
hi, I live in China, I tried dozens of times to install Kloxo-MR on VPS located inside China but all failed.

I noticed that during the installing of Kloxo-MR, the installer will request many dependency files such as php, apache, ftp, etc. from mirrors outside China. Since most of those mirrors are NOT reachable from China, the installing will fail.

In fact, there are many public CentOS and other Linux and LAMP related mirrors inside China, could you please add these mirrors to the mirrors lists in the installer of Kloxo-MR, so that users in China will be easier to enjoy Kloxo-MR?

Following are some public mirrors in China:

http://mirrors.163.com
http://mirrors.aliyun.com/
http://mirrors.sohu.com/
https://mirrors.ustc.edu.cn/
http://mirror.lzu.edu.cn/
http://mirror.bjtu.edu.cn/cn/
http://ftp.sjtu.edu.cn/
http://mirrors.neusoft.edu.cn/
http://mirrors.tuna.tsinghua.edu.cn/


Thank you.

8
hi, I had tried more than 20 times to install kloxomr but all failed.

The reason is : my VPS is located in China and the VPS can not reach many dependency resources need by kloxomr during installation.

But today I found a new way to manage to  install kloxomr.

Each time when the installation process broken by errors like:

Quote
Error: Cannot retrieve repository metadata (repomd.xml) for repository: mratwork-mariadb-32. Please verify its path and try again

I know I need to manually download that repomd.xml file and then upload it to my VPS to the repo "mratwork-mariadb-32" which is in this path " /var/cache/yum/x86_64/6/ ".

This is a good idea to help me. By this method, my installation continued somewhat.

However, there are too many files that can not be downloaded by the installation script itself. I need to manually handle them all.

So, I think I need a detaild list of dependency files and corresponding repo path. If I have such a list, I can download each file and upload them all to VPS then start the installation again.

Do you have such a list?

Thank you!

9
Kloxo-MR Releases / Re: CentOS 7 released !
« on: 2015-12-10, 07:34:00 »
+1

Hope Kloxo-MR will support CentOS 7 soon.

Thank you.

10
Translations / Where is the original English language files?
« on: 2015-12-08, 02:27:39 »
I am planning to help translating KloxoMR. Where can I find/download  the latest version of original English language files?

Thank you.

11
something to add:

I noticed that when executing "yum update -y" , it is very very very slow for following files:

Code: [Select]
mratwork-ius-archive/primary_db

mratwork-ius-archive/filelists_db

When up to these two files, the process will end up with "no more mirrors to try".

Why these two files are so SLOW ?

Is there any other mirror I can try?

Could you please distribute these files on more mirrors?

Thank you.

12
After reading some introduction articles about Kloxo-MR, I think this is a great Control Panel for me. But, I tried many times to install it on my CentOS 64 bit, it just can not be done!

I followed this installation guide because the official one on Github (how-to-install.txt) is very bad:

http://lintut.com/how-to-install-kloxomr-on-centos-5-x6-x-32-or-64-bit/

Yes, I am doing fresh install, because I had formated my VPS many times to get a fresh CentOS, just in order to get Kloxo-MR installed !

All steps executed without problem until this step:

Code: [Select]
# yum install kloxomr -y
There flys many messages then the end is:

Code: [Select]
http://dl.iuscommunity.org/pub/ius/archive/Redhat/6/x86_64/repodata/primary.sqlite.bz2: [Errno 12] Timeout on http://dl.iuscommunity.org/pub/ius/archive/Redhat/6/x86_64/repodata/primary.sqlite.bz2: (28, 'Operation too slow. Less than 1 bytes/sec transfered the last 30 seconds')
Trying other mirror.
Error: failure: repodata/primary.sqlite.bz2 from mratwork-ius-archive: [Errno 256] No more mirrors to try.

I even tried "yum clean all" to solve this "no more mirrors to try" issue, this command was executed successfully.

Then I input "yum makecache" and run, it ended up with:

Code: [Select]
http://dl.iuscommunity.org/pub/ius/archive/Redhat/6/x86_64/repodata/filelists.sqlite.bz2: [Errno 12] Timeout on http://dl.iuscommunity.org/pub/ius/archive/Redhat/6/x86_64/repodata/filelists.sqlite.bz2: (28, 'Operation too slow. Less than 1 bytes/sec transfered the last 30 seconds')
Trying other mirror.
http://dl.iuscommunity.org/pub/ius/archive/Redhat/6/x86_64/repodata/primary.sqlite.bz2: [Errno 12] Timeout on http://dl.iuscommunity.org/pub/ius/archive/Redhat/6/x86_64/repodata/primary.sqlite.bz2: (28, 'Operation too slow. Less than 1 bytes/sec transfered the last 30 seconds')
Trying other mirror.
Error: failure: repodata/primary.sqlite.bz2 from mratwork-ius-archive: [Errno 256] No more mirrors to try.


My God! This is driving me crazy! I crashed my head on the wall many times but I still don't know how to install Kloxo-MR !

( By the way, I tried to install webmin , another CPanel, the installation is very fast and smooth. )

Could you please make the installation of Kloxo-MR easier?

Did I missed anything?

Can someone here help me to install Kloxo-MR ?

Thank you in advance.

13
Is is possible to just install Kloxo-MR with one single command ? Just like the batch command in DOS ( kloxo-mr-install.bat ), which will run following commands one after one:

Code: [Select]
cd /
yum update -y
yum install yum-utils yum-priorities vim-minimal subversion curl zip unzip -y
yum install telnet -y
setenforce 0
echo 'SELINUX=disabled' > /etc/selinux/config
cd /etc/yum.repos.d/
wget https://github.com/mustafaramadhan/kloxo/raw/release/kloxo-mr.repo --no-check-certificate
cd /
yum install kloxomr
reboot

Of course , there will be some pause and prompt when need the user to choose options like:

Quote
Which version do you want to install? 
[1] Kloxo-MR 6.5.0.f (stable version)
[2] The latest Dev version (warning! for test only, not for production server)


and :

Quote
Congratulations! Kloxo-MR had been installed successfully.
Now your server will be restarted (reboot), press any key to continue ...

I think such a installer script will make it very easier for newbie users like me.

Thanks.

14
You need downgrade your phpmyadmin with 'yum downgrade kloxomr-thirdparty-phpmyadmin' until you see version 4.0.10-1.

You used the word "until", do you mean that each time I perform this downgrade command, that phpMyAdmin version will be downgraded one level? How many ? 0.1 or 0.0.1 ?

Can I just specify the version number 4.0.10-1 in this command to downgrade to that version with just one command performed?

Thanks.

15
OK, I did this:

Code: [Select]
yum replace php52s --replace-with=php53u

then:

Code: [Select]
sh /script/restart-all
then I check:

Code: [Select]
# php -v
PHP 5.3.28 (cli) (built: Mar  5 2014 17:33:49)
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2013 Zend Technologies

Well, now I have PHP 5.3.28 installed. Great!

But, when I tried to access phpMyadmin again, I got this message:

Quote
Kloxo-MR: error 503 found!

Could you please give more help?

Thank you.

Pages: [1] 2

Top 4 Global Search Engines:    Google    Bing    Baidu    Yahoo
Click Here

Page created in 0.029 seconds with 16 queries.

web stats analysis